Bug 277808 - digikam crashes while scanning for faces
Summary: digikam crashes while scanning for faces
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Faces-Engine (show other bugs)
Version: 2.0.0
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-15 01:02 UTC by S. Burmeister
Modified: 2012-06-27 10:17 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.2.0


Attachments
New crash information added by DrKonqi (8.79 KB, text/plain)
2011-08-27 16:30 UTC, Frederic Grelot
Details
New crash information added by DrKonqi (8.24 KB, text/plain)
2011-09-08 03:45 UTC, obrienb8
Details
New crash information added by DrKonqi (13.26 KB, text/plain)
2011-09-11 10:15 UTC, Frederic Grelot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description S. Burmeister 2011-07-15 01:02:44 UTC
Application: digikam (2.0.0)
KDE Platform Version: 4.6.95 (4.7 RC2) "release 1"
Qt Version: 4.7.3
Operating System: Linux 2.6.37.6-0.5-default i686
Distribution: "openSUSE 11.4 (i586)"

-- Information about the crash:
- What I was doing when the application crashed: While digikam was scanning for faces I already confirmed faces in the "unknown"-tag folder, i.e. clicked on the "ok" button which appears when one hovers the picture. While I was doing so digikam suddenly crashed.

I just updated to git some minutes ago.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb0323790 (LWP 15666))]

Thread 17 (Thread 0xaf4c5b70 (LWP 15667)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5009105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5081080 in wait (this=0x8672514, mutex=0x8672510, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0x8672514, mutex=0x8672510, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0x081e5c52 in Digikam::ScanController::run (this=0x8667230) at /home/rabauke/devel/src/digikam-software-compilation/core/digikam/database/scancontroller.cpp:618
#5  0xb5080993 in QThreadPrivate::start (arg=0x8667230) at thread/qthread_unix.cpp:320
#6  0xb5004b05 in start_thread () from /lib/libpthread.so.0
#7  0xb42a2d5e in clone () from /lib/libc.so.6

Thread 16 (Thread 0xaecc4b70 (LWP 15668)):
#0  0xb5006fda in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0xb2d951af in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0xb2d95ac8 in ?? () from /lib/libglib-2.0.so.0
#3  0xb2d95fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0xb51abfc7 in QEventDispatcherGlib::processEvents (this=0x8675cd0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0xb517ca6d in QEventLoop::processEvents (this=0xaecc4230, flags=...) at kernel/qeventloop.cpp:149
#6  0xb517cc99 in QEventLoop::exec (this=0xaecc4230, flags=...) at kernel/qeventloop.cpp:201
#7  0xb507dd49 in QThread::exec (this=0x8641e58) at thread/qthread.cpp:492
#8  0xb515c7fd in QInotifyFileSystemWatcherEngine::run (this=0x8641e58) at io/qfilesystemwatcher_inotify.cpp:248
#9  0xb5080993 in QThreadPrivate::start (arg=0x8641e58) at thread/qthread_unix.cpp:320
#10 0xb5004b05 in start_thread () from /lib/libpthread.so.0
#11 0xb42a2d5e in clone () from /lib/libc.so.6

Thread 15 (Thread 0xae4c3b70 (LWP 15670)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5009105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5081080 in wait (this=0xadb4c5a8, mutex=0xadb4c5a4, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0xadb4c5a8, mutex=0xadb4c5a4, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0xb66fda7c in Digikam::ParkingThread::run (this=0xadb4c598) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threads/threadmanager.cpp:119
#5  0xb5080993 in QThreadPrivate::start (arg=0xadb4c598) at thread/qthread_unix.cpp:320
#6  0xb5004b05 in start_thread () from /lib/libpthread.so.0
#7  0xb42a2d5e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xa7ff3b70 (LWP 15687)):
#0  0xb51abfbc in QEventDispatcherGlib::processEvents (this=0x8ca3fc8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#1  0xb517ca6d in QEventLoop::processEvents (this=0xa7ff3240, flags=...) at kernel/qeventloop.cpp:149
#2  0xb517cc99 in QEventLoop::exec (this=0xa7ff3240, flags=...) at kernel/qeventloop.cpp:201
#3  0xb66fcfca in Digikam::WorkerObjectRunnable::run (this=0x941fbd8) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#4  0xb5074db3 in QThreadPoolThread::run (this=0x86c70b0) at concurrent/qthreadpool.cpp:106
#5  0xb5080993 in QThreadPrivate::start (arg=0x86c70b0) at thread/qthread_unix.cpp:320
#6  0xb5004b05 in start_thread () from /lib/libpthread.so.0
#7  0xb42a2d5e in clone () from /lib/libc.so.6

Thread 13 (Thread 0xa5891b70 (LWP 15689)):
#0  0xb2a7922b in clock_gettime () from /lib/librt.so.1
#1  0xb50da0b5 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb51acf36 in updateCurrentTime (this=0xadb60f94, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0xadb60f94, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb51ab77b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa58910ac) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb51ab81d in timerSourcePrepare (source=0xadb60f60, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb2d94a70 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0xb2d958e2 in ?? () from /lib/libglib-2.0.so.0
#9  0xb2d95fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0xb51abfc7 in QEventDispatcherGlib::processEvents (this=0x93923a0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb517ca6d in QEventLoop::processEvents (this=0xa5891240, flags=...) at kernel/qeventloop.cpp:149
#12 0xb517cc99 in QEventLoop::exec (this=0xa5891240, flags=...) at kernel/qeventloop.cpp:201
#13 0xb66fcfca in Digikam::WorkerObjectRunnable::run (this=0xa96f340) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#14 0xb5074db3 in QThreadPoolThread::run (this=0x8724a28) at concurrent/qthreadpool.cpp:106
#15 0xb5080993 in QThreadPrivate::start (arg=0x8724a28) at thread/qthread_unix.cpp:320
#16 0xb5004b05 in start_thread () from /lib/libpthread.so.0
#17 0xb42a2d5e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xa6092b70 (LWP 15702)):
#0  0xb2a7922b in clock_gettime () from /lib/librt.so.1
#1  0xb50da0b5 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb51acf36 in updateCurrentTime (this=0x9ea98ac, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0x9ea98ac, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb51ab77b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa60920ac) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb51ab81d in timerSourcePrepare (source=0x9ea9878, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb2d94a70 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0xb2d958e2 in ?? () from /lib/libglib-2.0.so.0
#9  0xb2d95fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0xb51abfc7 in QEventDispatcherGlib::processEvents (this=0x97e1408, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb517ca6d in QEventLoop::processEvents (this=0xa6092240, flags=...) at kernel/qeventloop.cpp:149
#12 0xb517cc99 in QEventLoop::exec (this=0xa6092240, flags=...) at kernel/qeventloop.cpp:201
#13 0xb66fcfca in Digikam::WorkerObjectRunnable::run (this=0x9256ed0) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#14 0xb5074db3 in QThreadPoolThread::run (this=0x9f0dd10) at concurrent/qthreadpool.cpp:106
#15 0xb5080993 in QThreadPrivate::start (arg=0x9f0dd10) at thread/qthread_unix.cpp:320
#16 0xb5004b05 in start_thread () from /lib/libpthread.so.0
#17 0xb42a2d5e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xa2dd5b70 (LWP 15704)):
#0  0xb5006fcd in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0xb2d951af in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0xb2d95ac8 in ?? () from /lib/libglib-2.0.so.0
#3  0xb2d95fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0xb51abfc7 in QEventDispatcherGlib::processEvents (this=0x9b07060, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0xb517ca6d in QEventLoop::processEvents (this=0xa2dd5240, flags=...) at kernel/qeventloop.cpp:149
#6  0xb517cc99 in QEventLoop::exec (this=0xa2dd5240, flags=...) at kernel/qeventloop.cpp:201
#7  0xb66fcfca in Digikam::WorkerObjectRunnable::run (this=0x91d4610) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#8  0xb5074db3 in QThreadPoolThread::run (this=0x867f060) at concurrent/qthreadpool.cpp:106
#9  0xb5080993 in QThreadPrivate::start (arg=0x867f060) at thread/qthread_unix.cpp:320
#10 0xb5004b05 in start_thread () from /lib/libpthread.so.0
#11 0xb42a2d5e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa25d4b70 (LWP 15705)):
#0  0xb6a97702 in LibRaw::pana_bits (this=0xa25acf1c, nbits=2) at /home/rabauke/devel/src/digikam-software-compilation/extra/libkdcraw/libraw/internal/dcraw_common.cpp:2211
#1  0xb6a97816 in LibRaw::panasonic_load_raw (this=0xa25acf1c) at /home/rabauke/devel/src/digikam-software-compilation/extra/libkdcraw/libraw/internal/dcraw_common.cpp:2227
#2  0xb6a86a64 in LibRaw::unpack (this=0xa25acf1c) at /home/rabauke/devel/src/digikam-software-compilation/extra/libkdcraw/libraw/src/libraw_cxx.cpp:779
#3  0xb6a6ab79 in KDcrawIface::KDcraw::loadHalfPreview (image=..., path=...) at /home/rabauke/devel/src/digikam-software-compilation/extra/libkdcraw/libkdcraw/kdcraw.cpp:183
#4  0xb66d7eb7 in Digikam::PreviewLoadingTask::execute (this=0x8f42c68) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threadimageio/previewtask.cpp:251
#5  0xb66c77a5 in Digikam::LoadSaveThread::run (this=0x8de7b38) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threadimageio/loadsavethread.cpp:118
#6  0xb66fff34 in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x90abaa0) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threads/dynamicthread.cpp:328
#7  0xb5074db3 in QThreadPoolThread::run (this=0x9e27bb8) at concurrent/qthreadpool.cpp:106
#8  0xb5080993 in QThreadPrivate::start (arg=0x9e27bb8) at thread/qthread_unix.cpp:320
#9  0xb5004b05 in start_thread () from /lib/libpthread.so.0
#10 0xb42a2d5e in clone () from /lib/libc.so.6

Thread 9 (Thread 0x8cd73b70 (LWP 15706)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb429803e in poll () from /lib/libc.so.6
#2  0xb2da60bb in g_poll () from /lib/libglib-2.0.so.0
#3  0xb2d95c46 in ?? () from /lib/libglib-2.0.so.0
#4  0xb2d95fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0xb51abfc7 in QEventDispatcherGlib::processEvents (this=0x8f38fc0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0xb517ca6d in QEventLoop::processEvents (this=0x8cd73240, flags=...) at kernel/qeventloop.cpp:149
#7  0xb517cc99 in QEventLoop::exec (this=0x8cd73240, flags=...) at kernel/qeventloop.cpp:201
#8  0xb66fcfca in Digikam::WorkerObjectRunnable::run (this=0x8e31840) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#9  0xb5074db3 in QThreadPoolThread::run (this=0x9608d50) at concurrent/qthreadpool.cpp:106
#10 0xb5080993 in QThreadPrivate::start (arg=0x9608d50) at thread/qthread_unix.cpp:320
#11 0xb5004b05 in start_thread () from /lib/libpthread.so.0
#12 0xb42a2d5e in clone () from /lib/libc.so.6

Thread 8 (Thread 0x9752cb70 (LWP 15707)):
#0  0xb2fbd4c1 in ?? () from /usr/lib/libgomp.so.1
#1  0xb2fbd56e in ?? () from /usr/lib/libgomp.so.1
#2  0xb2fbbe60 in ?? () from /usr/lib/libgomp.so.1
#3  0xb5004b05 in start_thread () from /lib/libpthread.so.0
#4  0xb42a2d5e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa1dd3b70 (LWP 15715)):
#0  0xb2fbd4c1 in ?? () from /usr/lib/libgomp.so.1
#1  0xb2fbd56e in ?? () from /usr/lib/libgomp.so.1
#2  0xb2fbbe60 in ?? () from /usr/lib/libgomp.so.1
#3  0xb5004b05 in start_thread () from /lib/libpthread.so.0
#4  0xb42a2d5e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x9bfffb70 (LWP 15717)):
#0  0xb2fbd4c1 in ?? () from /usr/lib/libgomp.so.1
#1  0xb2fbd56e in ?? () from /usr/lib/libgomp.so.1
#2  0xb2fbbe60 in ?? () from /usr/lib/libgomp.so.1
#3  0xb5004b05 in start_thread () from /lib/libpthread.so.0
#4  0xb42a2d5e in clone () from /lib/libc.so.6

Thread 5 (Thread 0x92d23b70 (LWP 15746)):
#0  0xb2a7922b in clock_gettime () from /lib/librt.so.1
#1  0xb50da0b5 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb51acf36 in updateCurrentTime (this=0x8f680ec, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0x8f680ec, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb51ab77b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x92d230ac) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb51ab81d in timerSourcePrepare (source=0x8f680b8, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb2d94a70 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0xb2d958e2 in ?? () from /lib/libglib-2.0.so.0
#9  0xb2d95fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0xb51abfc7 in QEventDispatcherGlib::processEvents (this=0x99bef10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb517ca6d in QEventLoop::processEvents (this=0x92d23240, flags=...) at kernel/qeventloop.cpp:149
#12 0xb517cc99 in QEventLoop::exec (this=0x92d23240, flags=...) at kernel/qeventloop.cpp:201
#13 0xb66fcfca in Digikam::WorkerObjectRunnable::run (this=0xadba1520) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#14 0xb5074db3 in QThreadPoolThread::run (this=0x8ccad88) at concurrent/qthreadpool.cpp:106
#15 0xb5080993 in QThreadPrivate::start (arg=0x8ccad88) at thread/qthread_unix.cpp:320
#16 0xb5004b05 in start_thread () from /lib/libpthread.so.0
#17 0xb42a2d5e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x9fcffb70 (LWP 15747)):
#0  0xb2fbd4c1 in ?? () from /usr/lib/libgomp.so.1
#1  0xb2fbd56e in ?? () from /usr/lib/libgomp.so.1
#2  0xb2fbbe60 in ?? () from /usr/lib/libgomp.so.1
#3  0xb5004b05 in start_thread () from /lib/libpthread.so.0
#4  0xb42a2d5e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x9aed0b70 (LWP 15748)):
#0  0xb2fbd4c1 in ?? () from /usr/lib/libgomp.so.1
#1  0xb2fbd56e in ?? () from /usr/lib/libgomp.so.1
#2  0xb2fbbe60 in ?? () from /usr/lib/libgomp.so.1
#3  0xb5004b05 in start_thread () from /lib/libpthread.so.0
#4  0xb42a2d5e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x9b7feb70 (LWP 15753)):
#0  0xb5008468 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb2d9517b in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0xb2d95ac8 in ?? () from /lib/libglib-2.0.so.0
#3  0xb2d95fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0xb51abfc7 in QEventDispatcherGlib::processEvents (this=0x99ebed8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0xb517ca6d in QEventLoop::processEvents (this=0x9b7fe240, flags=...) at kernel/qeventloop.cpp:149
#6  0xb517cc99 in QEventLoop::exec (this=0x9b7fe240, flags=...) at kernel/qeventloop.cpp:201
#7  0xb66fcfca in Digikam::WorkerObjectRunnable::run (this=0xa90ee18) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#8  0xb5074db3 in QThreadPoolThread::run (this=0xa1412508) at concurrent/qthreadpool.cpp:106
#9  0xb5080993 in QThreadPrivate::start (arg=0xa1412508) at thread/qthread_unix.cpp:320
#10 0xb5004b05 in start_thread () from /lib/libpthread.so.0
#11 0xb42a2d5e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb0323790 (LWP 15666)):
[KCrash Handler]
#7  0xb62d5248 in Digikam::ImageModel::imageInfo (this=0x0, row=0) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/models/imagemodel.cpp:191
#8  0xb62d5967 in Digikam::ImageModel::retrieveImageInfo (index=...) at /home/rabauke/devel/src/digikam-software-compilation/core/libs/models/imagemodel.cpp:302
#9  0x0820fdb6 in Digikam::DigikamImageView::confirmFaces (this=0xadb52ec0, indexes=..., tagId=25) at /home/rabauke/devel/src/digikam-software-compilation/core/digikam/items/digikamimageview.cpp:246
#10 0x0820f0d9 in Digikam::DigikamImageView::qt_metacall (this=0xadb52ec0, _c=QMetaObject::InvokeMetaMethod, _id=35, _a=0xbfe12bf4) at /home/rabauke/devel/digikam/core/digikam/digikamimageview.moc:185
#11 0xb518407d in QMetaObject::metacall (object=0xadb52ec0, cl=QMetaObject::InvokeMetaMethod, idx=149, argv=0xbfe12bf4) at kernel/qmetaobject.cpp:237
#12 0xb51934cc in QMetaObject::activate (sender=0xadb6cca8, m=0x83d4b80, local_signal_index=0, argv=0xbfe12bf4) at kernel/qobject.cpp:3278
#13 0x08221771 in Digikam::AssignNameOverlay::confirmFaces (this=0xadb6cca8, _t1=..., _t2=25) at /home/rabauke/devel/digikam/core/digikam/assignnameoverlay.moc:97
#14 0x082223b7 in Digikam::AssignNameOverlay::slotAssigned (this=0xadb6cca8, action=..., info=..., faceIdentifier=...) at /home/rabauke/devel/src/digikam-software-compilation/core/digikam/items/assignnameoverlay.cpp:288
#15 0x082216f7 in Digikam::AssignNameOverlay::qt_metacall (this=0xadb6cca8, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfe12d50) at /home/rabauke/devel/digikam/core/digikam/assignnameoverlay.moc:84
#16 0xb518407d in QMetaObject::metacall (object=0xadb6cca8, cl=QMetaObject::InvokeMetaMethod, idx=20, argv=0xbfe12d50) at kernel/qmetaobject.cpp:237
#17 0xb51934cc in QMetaObject::activate (sender=0x96a17e0, m=0x8402920, local_signal_index=0, argv=0xbfe12d50) at kernel/qobject.cpp:3278
#18 0x082a67f4 in Digikam::AssignNameWidget::assigned (this=0x96a17e0, _t1=..., _t2=..., _t3=...) at /home/rabauke/devel/digikam/core/digikam/assignnamewidget.moc:200
#19 0x082a827a in Digikam::AssignNameWidget::slotConfirm (this=0x96a17e0) at /home/rabauke/devel/src/digikam-software-compilation/core/utilities/facedetection/assignnamewidget.cpp:705
#20 0x082a65d7 in Digikam::AssignNameWidget::qt_metacall (this=0x96a17e0, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbfe12ec8) at /home/rabauke/devel/digikam/core/digikam/assignnamewidget.moc:151
#21 0xb518407d in QMetaObject::metacall (object=0x96a17e0, cl=QMetaObject::InvokeMetaMethod, idx=37, argv=0xbfe12ec8) at kernel/qmetaobject.cpp:237
#22 0xb51934cc in QMetaObject::activate (sender=0x991faa0, m=0x8524680, local_signal_index=2, argv=0xbfe12ec8) at kernel/qobject.cpp:3278
#23 0xb4d3045d in QAbstractButton::clicked (this=0x991faa0, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#24 0xb4a297cd in QAbstractButtonPrivate::emitClicked (this=0x8f44cd0) at widgets/qabstractbutton.cpp:546
#25 0xb4a2b0ab in QAbstractButtonPrivate::click (this=0x8f44cd0) at widgets/qabstractbutton.cpp:539
#26 0xb4a2b366 in QAbstractButton::mouseReleaseEvent (this=0x991faa0, e=0xbfe135f4) at widgets/qabstractbutton.cpp:1121
#27 0xb4b027ed in QToolButton::mouseReleaseEvent (this=0x991faa0, e=0xbfe135f4) at widgets/qtoolbutton.cpp:721
#28 0xb4666af0 in QWidget::event (this=0x991faa0, event=0xbfe135f4) at kernel/qwidget.cpp:8259
#29 0xb4a2a380 in QAbstractButton::event (this=0x991faa0, e=0xbfe135f4) at widgets/qabstractbutton.cpp:1080
#30 0xb4b03f5c in QToolButton::event (this=0x991faa0, event=0xbfe135f4) at widgets/qtoolbutton.cpp:1163
#31 0xb460b684 in QApplicationPrivate::notify_helper (this=0x856bac8, receiver=0x991faa0, e=0xbfe135f4) at kernel/qapplication.cpp:4462
#32 0xb4614f80 in QApplication::notify (this=0xbfe1330c, receiver=0x991faa0, e=0xbfe135f4) at kernel/qapplication.cpp:4023
#33 0xb5786711 in KApplication::notify (this=0xbfe13ebc, receiver=0x991faa0, event=0xbfe135f4) at /usr/src/debug/kdelibs-4.6.95/kdeui/kernel/kapplication.cpp:311
#34 0xb517d78e in QCoreApplication::notifyInternal (this=0xbfe13ebc, receiver=0x991faa0, event=0xbfe135f4) at kernel/qcoreapplication.cpp:731
#35 0xb460c72c in sendSpontaneousEvent (receiver=0x991faa0, event=0xbfe135f4, alienWidget=0x991faa0, nativeWidget=0xadb52ec0, buttonDown=0xb4f80c00, lastMouseReceiver=..., spontaneous=true) at ../../src/corelib/kernel/qcoreapplication.h:218
#36 QApplicationPrivate::sendMouseEvent (receiver=0x991faa0, event=0xbfe135f4, alienWidget=0x991faa0, nativeWidget=0xadb52ec0, buttonDown=0xb4f80c00, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3120
#37 0xb4698bb0 in QETWidget::translateMouseEvent (this=0xadb52ec0, event=0xbfe13b0c) at kernel/qapplication_x11.cpp:4461
#38 0xb4697cbe in QApplication::x11ProcessEvent (this=0xbfe13ebc, event=0xbfe13b0c) at kernel/qapplication_x11.cpp:3465
#39 0xb46c25e0 in x11EventSourceDispatch (s=0x856e8a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#40 0xb2d95509 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#41 0xb2d95d10 in ?? () from /lib/libglib-2.0.so.0
#42 0xb2d95fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#43 0xb51abf7b in QEventDispatcherGlib::processEvents (this=0x8544b68, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#44 0xb46c21da in QGuiEventDispatcherGlib::processEvents (this=0x8544b68, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#45 0xb517ca6d in QEventLoop::processEvents (this=0xbfe13dc4, flags=...) at kernel/qeventloop.cpp:149
#46 0xb517cc99 in QEventLoop::exec (this=0xbfe13dc4, flags=...) at kernel/qeventloop.cpp:201
#47 0xb5181740 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#48 0xb46093d4 in QApplication::exec () at kernel/qapplication.cpp:3736
#49 0x082aa323 in main (argc=5, argv=0xbfe14144) at /home/rabauke/devel/src/digikam-software-compilation/core/digikam/main/main.cpp:232

Reported using DrKonqi
Comment 1 caulier.gilles 2011-07-15 05:57:14 UTC
Marcel, 

I think to have already seen this trace in another report, in the same condition. Right ?

Gilles Caulier
Comment 2 Marcel Wiesweg 2011-07-15 17:11:58 UTC
The bt is slighlty different, but I fear it's the same problem as infamous 269720 / 262596
Comment 3 Marcel Wiesweg 2011-08-03 19:10:34 UTC
*** Bug 279266 has been marked as a duplicate of this bug. ***
Comment 4 caulier.gilles 2011-08-10 05:47:29 UTC
*** Bug 279781 has been marked as a duplicate of this bug. ***
Comment 5 Frederic Grelot 2011-08-27 16:30:28 UTC
Created attachment 63179 [details]
New crash information added by DrKonqi

digikam (2.1.0) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.3

- What I was doing when the application crashed:

I just selected one "unrecognized face", entered a name, and click on the button to validate the selection.
It happened several times, not necessarily when I validate a name : also when I click on the red cross ("this image is not a face")

-- Backtrace (Reduced):
#6  0x00000000005fdc4f in data (arole=37, this=0x36b9fa0) at /usr/include/QtCore/qabstractitemmodel.h:398
#7  Digikam::AssignNameOverlay::checkIndex (this=<optimized out>, index=...) at /raid/home/goulou/digikam/digikam-sc/core/digikam/items/assignnameoverlay.cpp:241
#8  0x00007f07ae30e76f in checkIndexOnEnter (index=..., this=0x1f8d6c0) at /raid/home/goulou/digikam/digikam-sc/core/libs/widgets/itemview/imagedelegateoverlay.cpp:282
#9  Digikam::AbstractWidgetDelegateOverlay::checkIndexOnEnter (this=0x1f8d6c0, index=...) at /raid/home/goulou/digikam/digikam-sc/core/libs/widgets/itemview/imagedelegateoverlay.cpp:270
#10 0x00007f07ae30e7d7 in Digikam::PersistentWidgetDelegateOverlay::slotEntered (this=0x1f8d6c0, index=...) at /raid/home/goulou/digikam/digikam-sc/core/libs/widgets/itemview/imagedelegateoverlay.cpp:577
Comment 6 Frederic Grelot 2011-08-27 17:06:26 UTC
Well, it seems that it happens every time I use "enter" to validate my choice.
Digikam does not crash if I click on the "validate tag" button.
Actually, I also saw that when I want to tag the photos, only half of those I selected get tagged : in this case, when I launch digikam after the crash, this is also true (half of my selected photos are tagged)
Comment 7 caulier.gilles 2011-08-27 22:00:10 UTC
*** Bug 280901 has been marked as a duplicate of this bug. ***
Comment 8 Marcel Wiesweg 2011-09-06 17:35:25 UTC
*** Bug 280618 has been marked as a duplicate of this bug. ***
Comment 9 Marcel Wiesweg 2011-09-06 17:37:02 UTC
Anyone here who can reliably reproduce this bug (mark something as a new face, tag, crash), is following current git and ready to apply some patches to collect debug info?
Comment 10 Kristian Karl 2011-09-07 07:47:52 UTC
(In reply to comment #9)
Yes, I can.
I have a repro that always provokes a crash.
1) After scanning of faces,
2) I select the "unknown"-tag folder,
3) I apply a filter (using tags) to narrow down the scope of faces,
4) Select a face and choose a people tag,
5) Select some more faces,
6) Then I click on the "ok" button which appears when one hovers over the picture
7) crash occurs 

If this is good enough, I'm more than willing to pull from current (which branch?) git and ready to apply some patches and to collect debug info.
Comment 11 obrienb8 2011-09-08 03:45:23 UTC
Created attachment 63499 [details]
New crash information added by DrKonqi

digikam (2.1.0) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.3

- What I was doing when the application crashed:

I was selecting the entire amount of RAW images in the Faces tab that the facial recognition had detected and was attempting to remove the tag from them when digikam crashed. I have been able to re-produce the issue.

I am curious if this has something to do with the other bug I have submitted https://bugs.kde.org/show_bug.cgi?id=279977 becuase I did notice a pattern that even though digikam crashed when selecting 100% of the 112 images when I re-started the application there were only 56 tags. So it seemed parallel to the other issue I had opened when selecting a range of images and only having half of them get untagged and then extraneous other images getting untagged as well.

-- Backtrace (Reduced):
#6  0x00007fc3486a69c7 in Digikam::ImageModel::imageInfo (this=0x0, row=0) at /home/ben/digikam-sc/core/libs/models/imagemodel.cpp:191
#7  0x00007fc3486a7003 in Digikam::ImageModel::retrieveImageInfo (index=...) at /home/ben/digikam-sc/core/libs/models/imagemodel.cpp:302
#8  0x0000000000602d70 in Digikam::DigikamImageView::removeFaces (this=0x154e280, indexes=...) at /home/ben/digikam-sc/core/digikam/items/digikamimageview.cpp:264
#9  0x0000000000601d59 in Digikam::DigikamImageView::qt_metacall (this=0x154e280, _c=QMetaObject::InvokeMetaMethod, _id=36, _a=0x7fffa3e51940) at /home/ben/digikam-sc/build/core/digikam/digikamimageview.moc:186
[...]
#11 0x00000000006176c1 in Digikam::FaceRejectionOverlay::rejectFaces (this=0x15a1c20, _t1=...) at /home/ben/digikam-sc/build/core/digikam/facerejectionoverlay.moc:90
Comment 12 Marcel Wiesweg 2011-09-10 20:55:01 UTC
Git commit 16d8236edd31e57410caea49bf5e4dcc6b8fbda1 by Marcel Wiesweg.
Committed on 10/09/2011 at 22:50.
Pushed by mwiesweg into branch 'master'.

Retrieve all information from the given indexes before starting to remove indexes

Removing an index and then having invalid indexes  may have introduced weird bugs.

CCBUG: 277808
CCBUG: 279977

M  +33   -15   digikam/items/digikamimageview.cpp

http://commits.kde.org/digikam/16d8236edd31e57410caea49bf5e4dcc6b8fbda1
Comment 13 Marcel Wiesweg 2011-09-10 20:55:01 UTC
Git commit 59d37c11e55864bba8356d54e8f8739cbb3f0c4b by Marcel Wiesweg.
Committed on 10/09/2011 at 22:37.
Pushed by mwiesweg into branch 'master'.

Add some more safety checks to avoid crashes in case of improper use

(does not fix the reason of the crash, only the symptoms)
CCBUG: 277808

M  +17   -1    libs/models/imagemodel.cpp

http://commits.kde.org/digikam/59d37c11e55864bba8356d54e8f8739cbb3f0c4b
Comment 14 Marcel Wiesweg 2011-09-10 20:56:22 UTC
Kristian and obrienb8: can you try again with current git? If it still doesnt work, we'll need the mentioned round of debug patches.
Comment 15 Frederic Grelot 2011-09-11 10:15:08 UTC
Created attachment 63556 [details]
New crash information added by DrKonqi

digikam (2.2.0) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.3

- What I was doing when the application crashed:

I was browsing one's person recognized faces, but several of them (6 in a row) were wrong : I selected those, clicked on the red cross (this is not a face). Digikam crashed immediately.

Note : There were 6 pictures that I wanted to untag. when I did it the first time, digikam crashed but the first 3 were actually removed as I can tell after restarting digikam. When I wanted to untag those 3, digikam crashed again (but it actually untagged 2 out of 3). The last time, I untagged the 6'th image indivually, and digikam didn't crash.

Digikam is from recent GIT (fetched yesterday, appears as 2.2.0 in the about box)

-- Backtrace (Reduced):
#6  size (this=) at /usr/include/QtCore/qlist.h:94
#7  size (this=) at /usr/include/QtCore/qlist.h:124
#8  Digikam::ImageModel::imageInfo (this=0x0, row=0) at /raid/home/goulou/digikam/digikam-sc/core/libs/models/imagemodel.cpp:191
#9  0x00007f320987946b in Digikam::ImageModel::retrieveImageInfo (index=<optimized out>) at /raid/home/goulou/digikam/digikam-sc/core/libs/models/imagemodel.cpp:302
#10 0x00000000005f29b8 in Digikam::DigikamImageView::removeFaces (this=0x252b730, indexes=<optimized out>) at /raid/home/goulou/digikam/digikam-sc/core/digikam/items/digikamimageview.cpp:263
Comment 16 Marcel Wiesweg 2011-09-11 13:43:13 UTC
You are sure to have included the two commits? The line numbers in the backtrace suggest you did not.
Comment 17 Kristian Karl 2011-09-11 19:16:38 UTC
Hi,

No more creash with latest.

I cloned latest fram master [1856bafe3262bc3594e16f2be65ed9d7eea09305], and built it using "cmake -DCMAKE_BUILD_TYPE=debugfull -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` .. "

I then tried my repro that alwayes rendered a crash before, but no crash. That's cool :-)